Subject: FVWM: Alt Key Release not detected in Xnest(X client) Session.

From: "subbiah .L" <[email-masked]>
Date: Tue, 18 Mar 2003 20:57:51 +0530

Hello,

I am using fvwm2 version 2.4.3. I am using Xnest to get the desktop of Other 
Linux PC's Graphics screen to my PC Desktop just like an application. I have 
using the Ctrl+Alt+UP and Ctrl+Alt+Down arrow key to select the Window using 
the WindowList. I have added the below entries in the file 
/usr/local/share/fv.wm/ConfigFvwmDefaults

Key Up A MC WindowList Root c c NoDeskSort
Key Down A MC WindowList Root c c NoDeskSort

If I have used this keys to switch to other window and come back, then my 
keyboard is not working.

I found that the Alt key is release event is not registered for that window. 
So After come back to the Xnest session, I have to press the Alt key and 
release. Then only I am able to work.

My xmodmap entries in my Dekstop are

xmodmap:  up to 2 keys per modifier, (keycodes in parentheses):

shift       Shift_L (0x32),  Shift_L (0x3e)
lock        Caps_Lock (0x42)
control     Control_L (0x25),  Control_R (0x6d)
mod1        Alt_L (0x40)
mod2        Num_Lock (0x4d)
mod3        Mode_switch (0x71)
mod4        Super_L (0x73),  Super_R (0x74)
mod5

Whare could be the problem. How can I come out from this problem? Can any 
body help me on this.

With Thanks and Regards,
L. Subbiah

_________________________________________________________________
Call US for just Rs. 5. http://www.msn.co.in/webtelephony/ Get a phone card

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Tue, 18 Mar 2003 18:07:25 +0100

On Tue, Mar 18, 2003 at 08:57:51PM +0530, subbiah .L wrote:
> Hello,
> 
> I am using fvwm2 version 2.4.3. I am using Xnest to get the desktop of 
> Other Linux PC's Graphics screen to my PC Desktop just like an application. 
> I have using the Ctrl+Alt+UP and Ctrl+Alt+Down arrow key to select the 
> Window using the WindowList. I have added the below entries in the file 
> I found that the Alt key is release event is not registered for that 
> window. So After come back to the Xnest session, I have to press the Alt 
> key and release. Then only I am able to work.
> 

> Whare could be the problem. How can I come out from this problem?

File a bug report with Xnest.  XNest forgets to check the keyboard
state when it receives the keyboard focus.  It gets the modifier
key press, but it can not receive the key release.  This annoys me
too, but I can't do anything about it.

Bye

Dominik ^_^  ^_^